]> Savannah Git Hosting - gnulib.git/commitdiff
printf-gnu: Add tests.
authorBruno Haible <bruno@clisp.org>
Fri, 24 Mar 2023 10:57:19 +0000 (11:57 +0100)
committerBruno Haible <bruno@clisp.org>
Fri, 24 Mar 2023 10:57:19 +0000 (11:57 +0100)
* tests/test-printf-gnu.sh: New file, based on
tests/test-printf-posix.sh.
* tests/test-printf-gnu.c: New file, based on tests/test-printf-posix.c.
* modules/printf-gnu-tests: New file, based on
modules/printf-posix-tests.

ChangeLog
modules/printf-gnu-tests [new file with mode: 0644]
tests/test-printf-gnu.c [new file with mode: 0644]
tests/test-printf-gnu.sh [new file with mode: 0755]

index cbab39bd9dcb7b02dcc42dce18520169f3f8868c..71ddf711637edc5fa7934ffe6fdc84772ec30ba3 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,12 @@
 2023-03-24  Bruno Haible  <bruno@clisp.org>
 
+       printf-gnu: Add tests.
+       * tests/test-printf-gnu.sh: New file, based on
+       tests/test-printf-posix.sh.
+       * tests/test-printf-gnu.c: New file, based on tests/test-printf-posix.c.
+       * modules/printf-gnu-tests: New file, based on
+       modules/printf-posix-tests.
+
        printf-gnu: New module.
        * m4/printf-posix.m4: Renamed from m4/printf-posix-rpl.m4.
        (gl_FUNC_PRINTF_IS_POSIX): New macro.
diff --git a/modules/printf-gnu-tests b/modules/printf-gnu-tests
new file mode 100644 (file)
index 0000000..0a0cd90
--- /dev/null
@@ -0,0 +1,15 @@
+Files:
+tests/test-printf-gnu.sh
+tests/test-printf-gnu.c
+tests/test-printf-gnu.h
+tests/test-printf-gnu.output
+tests/macros.h
+
+Depends-on:
+printf-posix-tests
+
+configure.ac:
+
+Makefile.am:
+TESTS += test-printf-gnu.sh
+check_PROGRAMS += test-printf-gnu
diff --git a/tests/test-printf-gnu.c b/tests/test-printf-gnu.c
new file mode 100644 (file)
index 0000000..ed7bf6b
--- /dev/null
@@ -0,0 +1,35 @@
+/* Test of POSIX and GNU compatible printf() function.
+   Copyright (C) 2007-2023 Free Software Foundation, Inc.
+
+   This program is free software: you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation, either version 3 of the License, or
+   (at your option) any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
+
+/* Written by Bruno Haible <bruno@clisp.org>, 2007.  */
+
+#include <config.h>
+
+#include <stdio.h>
+
+#include <stddef.h>
+#include <string.h>
+
+#include "macros.h"
+
+#include "test-printf-gnu.h"
+
+int
+main (int argc, char *argv[])
+{
+  test_function (printf);
+  return 0;
+}
diff --git a/tests/test-printf-gnu.sh b/tests/test-printf-gnu.sh
new file mode 100755 (executable)
index 0000000..179ade6
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' HUP INT QUIT TERM
+
+tmpfiles="$tmpfiles t-printf-gnu.tmp t-printf-gnu.out"
+${CHECKER} ./test-printf-gnu${EXEEXT} > t-printf-gnu.tmp || exit 1
+LC_ALL=C tr -d '\r' < t-printf-gnu.tmp > t-printf-gnu.out || exit 1
+
+: "${DIFF=diff}"
+${DIFF} "${srcdir}/test-printf-gnu.output" t-printf-gnu.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result